Upstream information

CVE-2021-37712 at MITRE

Description

The npm package "tar" (aka node-tar) before versions 4.4.18, 5.0.10, and 6.1.9 has an arbitrary file creation/overwrite and arbitrary code execution vulnerability. node-tar aims to guarantee that any file whose location would be modified by a symbolic link is not extracted. This is, in part, achieved by ensuring that extracted directories are not symlinks. Additionally, in order to prevent unnecessary stat calls to determine whether a given path is a directory, paths are cached when directories are created. This logic was insufficient when extracting tar files that contained both a directory and a symlink with names containing unicode values that normalized to the same value. Additionally, on Windows systems, long path portions would resolve to the same file system entities as their 8.3 "short path" counterparts. A specially crafted tar archive could thus include a directory with one form of the path, followed by a symbolic link with a different string that resolves to the same file system entity, followed by a file using the first form. By first creating a directory, and then replacing that directory with a symlink that had a different apparent name that resolved to the same entry in the filesystem, it was thus possible to bypass node-tar symlink checks on directories, essentially allowing an untrusted tar file to symlink into an arbitrary location and subsequently extracting arbitrary files into that location, thus allowing arbitrary file creation and overwrite. These issues were addressed in releases 4.4.18, 5.0.10 and 6.1.9. The v3 branch of node-tar has been deprecated and did not receive patches for these issues. If you are still using a v3 release we recommend you update to a more recent version of node-tar. If this is not possible, a workaround is available in the referenced GHSA-qq89-hq3f-393p.

SUSE information

Overall state of this security issue: Analysis

This issue is currently rated as having important severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.2 8.1
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:C/C:H/I:H/A:N CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:H/A:H
Access Vector Local Network
Access Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Changed Unchanged
Confidentiality Impact High None
Integrity Impact High High
Availability Impact None High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1190056 [NEW]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 4.0 nodejs10 Analysis
SUSE CaaS Platform 4.0 nodejs8 Analysis
SUSE Enterprise Storage 6 nodejs10 Analysis
SUSE Enterprise Storage 6 nodejs8 Analysis
SUSE Linux Enterprise High Performance Computing 15 LTSS nodejs10 Analysis
SUSE Linux Enterprise High Performance Computing 15 LTSS nodejs8 Analysis
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS nodejs10 Analysis
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS nodejs8 Analysis
SUSE Linux Enterprise Module for Web and Scripting 12 nodejs10 Analysis
SUSE Linux Enterprise Module for Web and Scripting 12 nodejs12 Analysis
SUSE Linux Enterprise Module for Web and Scripting 12 nodejs14 Analysis
SUSE Linux Enterprise Module for Web and Scripting 12 nodejs4 Analysis
SUSE Linux Enterprise Module for Web and Scripting 12 nodejs6 Analysis
SUSE Linux Enterprise Module for Web and Scripting 15 SP2 nodejs10 Analysis
SUSE Linux Enterprise Module for Web and Scripting 15 SP2 nodejs12 Analysis
SUSE Linux Enterprise Module for Web and Scripting 15 SP2 nodejs14 Analysis
SUSE Linux Enterprise Module for Web and Scripting 15 SP2 nodejs8 Analysis
SUSE Linux Enterprise Server 15 LTSS nodejs10 Analysis
SUSE Linux Enterprise Server 15 LTSS nodejs8 Analysis
SUSE Linux Enterprise Server 15 SP1 Business Critical Linux nodejs10 Analysis
SUSE Linux Enterprise Server 15 SP1 Business Critical Linux nodejs8 Analysis
SUSE Linux Enterprise Server 15 SP1 LTSS nodejs10 Analysis
SUSE Linux Enterprise Server 15 SP1 LTSS nodejs8 Analysis
SUSE Linux Enterprise Server ESPOS 15 nodejs10 Analysis
SUSE Linux Enterprise Server ESPOS 15 nodejs8 Analysis
SUSE Linux Enterprise Server for SAP Applications 15 nodejs10 Analysis
SUSE Linux Enterprise Server for SAP Applications 15 nodejs8 Analysis
SUSE Linux Enterprise Server for SAP Applications 15 SP1 nodejs10 Analysis
SUSE Linux Enterprise Server for SAP Applications 15 SP1 nodejs8 Analysis
SUSE Manager Proxy 4.0 nodejs10 Unsupported
SUSE Manager Proxy 4.0 nodejs8 Unsupported
SUSE Manager Retail Branch Server 4.0 nodejs10 Unsupported
SUSE Manager Retail Branch Server 4.0 nodejs8 Unsupported
SUSE Manager Server 4.0 nodejs10 Unsupported
SUSE Manager Server 4.0 nodejs8 Unsupported
SUSE OpenStack Cloud Crowbar 8 nodejs6 Analysis
SUSE OpenStack Cloud Crowbar 9 nodejs6 Analysis